SubblySubbly
Log inGet started
  • Get started
  • Developer resources
Storefront API reference
Docs
Information
    Base URLAuthenticationPaginationErrors
Bootstrap
    Get shop info and settings
Product
    Get list of productsGet product by IDGet variant or pricing by IDGet plan by ID
Bundle
    Get list of bundlesGet bundle by IDQuote bundleGet list of bundle group itemsGet list of bundle itemsGet the list of bundle items associated with multiple bundles
Survey
    Get survey by ID
Cart
    Init cartGet cart by IDUpdate cart by IDGet cart gifting datesGet cart start datesGet shipping methodsGet local pickupsValidate the cartAttach the customer to the cart
Cart Item
    Add cart itemUpdate cart itemDelete cart item
Checkout
    Make purchase from the cart
Auth
    LoginOtp LoginOtp GenerateSocial LoginRegisteredRegister
Customer
    Get the current customerGet the current customer referral infoUpdate customer
Address
    Get list of addressStore addressUpdate addressDelete address
Pickup Info
    Get list of pickup infosStore pickup infoUpdate pickup infoDelete pickup info
Wallet
    Store payment methodGet list of payment methodsStore payment methodDelete payment methodSet default payment method
Subscription
    Get list of subscriptionsShow subscriptionUpdate subscriptionUpdate subscription survey preferences by Subscription IDUpdate subscription bundle data by Subscription IDCancel a subscriptionUndo cancellationUpdate subscription payment methodGet shipping methodsGet local pickupsCreate a subscription itemShow a subscription itemUpdate a subscription itemRemove a subscription itemUpdate a subscription item's preferencesUpdate a subscription item's bundle
Order
    Get list of ordersGet order by ID
Invoice
    Get list of invoicesGet invoice by ID
Payment Intent
    Confirm payment intentGet payment intent by ID
Funnels
    Get the current pre purchase funnel step by IDRefresh the funnel progressAccept the pre purchase funnel stepReject the pre purchase funnel stepGet the current mid purchase funnel step by IDRefresh the funnel progressAccept the mid purchase funnel stepReject the mid purchase funnel step
Countries
    Get list of countries
Out Of Stock
    Subscribe to the out of stock
Cancellation
    Get shop cancellation reasons
Metafield
    Get shop's metafields
Product Collection
    Get list of product collectionsGet product collection by IDGet list of collection groups with items
Lead
    Store the shop lead

Product Collection

Storefront Product Collection API endpoints

Endpoints
  • GET/products/collections
  • GET/products/collections/{collection_id}
  • GET/products/collections/{collection_id}/items

Get list of product collections

GET /products/collections

Query parameters

pageoptionalinteger

Page number for pagination

per_pageoptionalinteger

Entities per page

ids[]optionalinteger[]

Filter by collection IDs

slugs[]optionalstring[]

Filter by collection slugs

typeoptionalstring

Filter by collection type

sort[field]optionalstring

Field to sort by

Possible values: id, name.

sort[direction]optionalstring

Sort direction; defaults to asc.

Possible values: asc, desc.

Defaults to "asc".

Returnsobject

Product collections list response

curl https://api.subbly.co/storefront/v1/products/collections \ -H 'X-API-KEY: <api-key>'
Response
{ "pagination": { "current_page": 1, "last_page": 2, "from": 1, "to": 1, "total": 20 }, "data": [ { "id": 1, "name": "Summer Collection", "slug": "summer-collection", "type": "subscription", "created_at": "2022-04-01 00:00:00", "updated_at": "2022-04-01 00:00:00" } ] }

Get product collection by ID

GET /products/collections/{collection_id}

Path parameters

collection_idRequiredinteger

Collection ID

ReturnsProductCollection

Product collection response

curl https://api.subbly.co/storefront/v1/products/collections/{collection_id} \ -H 'X-API-KEY: <api-key>'
Response
{ "id": 1, "name": "Summer Collection", "slug": "summer-collection", "type": "subscription", "created_at": "2022-04-01 00:00:00", "updated_at": "2022-04-01 00:00:00" }

Get list of collection groups with items

GET /products/collections/{collection_id}/items

Path parameters

collection_idRequiredinteger

Collection ID

Query parameters

pageoptionalinteger

Page number for pagination

per_pageoptionalinteger

Entities per page

expand[]optionalstring[]

List of relations to expand (e.g. product, items.variant)

Returnsobject

Collection groups list response

curl https://api.subbly.co/storefront/v1/products/collections/{collection_id}/items \ -H 'X-API-KEY: <api-key>'
Response
{ "pagination": { "current_page": 1, "last_page": 2, "from": 1, "to": 1, "total": 20 }, "data": [ { "id": 1, "product_id": 5, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01 00:00:00", "updated_at": "2022-04-01 00:00:00", "gift_card": false, "gift_card_expiration": null, "variants": [ {} ], "options": [ {} ] }, "items": [ { "id": 1, "variant_id": 10, "product_id": 5, "position": 0, "variant": {} } ], "created_at": "2022-04-01 00:00:00", "updated_at": "2022-04-01 00:00:00" } ] }
paginationobject
dataProductCollection[]
idinteger
namestring
slugstring
typestring | null
created_atstring

Format: date-time.

updated_atstring

Format: date-time.

paginationobject
dataProductCollectionGroup[]